/*
  game_alloc.h
  jigplay-macos
 
  Created by François Pessaux on 16/09/10.
  Copyright 2010. All rights reserved.
*/

#ifndef __GAME_ALLOC_H__
#define __GAME_ALLOC_H__

#ifdef __JIGPLAY_MAC_OS__
#include <Carbon/Carbon.h>
#else
#ifdef __JIGPLAY_IOS__
#include <CoreGraphics/CGImage.h>
#endif
#endif


CGImageRef copyImageAndAddAlphaChannel (CGImageRef sourceImage) ;
CGImageRef makeScaledCopyOfImageAndAddAlphaChannel (CGImageRef image,
                                                    float scale_factor) ;
#ifdef __JIGPLAY_MAC_OS__
struct game* newGame (const char *image_filename, int screen_width,
                      int screen_height, int nb_columns_of_pieces,
                      int nb_lines_of_pieces, float scale_factor) ;
#else
#ifdef __JIGPLAY_IOS__
struct game* newGame (CGImageRef from_image, int screen_width,
                      int screen_height, int nb_columns_of_pieces,
                      int nb_lines_of_pieces, float scale_factor) ;
#endif
#endif

#endif
