/*
  alerts_n_errors.m
  jigplay-macos
 
  Created by François Pessaux on 18/09/10.
  Copyright 2010. All rights reserved.
*/

#ifdef __JIGPLAY_MAC_OS__
#import <Cocoa/Cocoa.h>
#else
#ifdef __JIGPLAY_IOS__
#import <UIKit/UIKit.h>
#endif
#endif
#import "alerts_n_errors.h"


/** Wrapper to make so C functions can report a message via the API dialog
    windows that are only reachable in Objective-C. */
void displayMessage (char *msgHeader, char *msgBody, enum alert_criticity kind)
{
  NSString *nsstringMsgHeader =
    [NSString stringWithCString: msgHeader encoding: NSISOLatin1StringEncoding] ;
  NSString *nsstringMsgBody =
    [NSString stringWithCString: msgBody encoding: NSISOLatin1StringEncoding] ;
  
#ifdef __JIGPLAY_MAC_OS__
  NSAlert *alert = [[NSAlert alloc] init] ;

  [alert addButtonWithTitle: @"OK"] ;
  [alert setMessageText: nsstringMsgHeader] ;
  [alert setInformativeText: nsstringMsgBody] ;
  [alert setAlertStyle: ((NSAlertStyle) kind)] ;
  [alert runModal] ;
#else
#ifdef __JIGPLAY_IOS__
  UIAlertView *alert =
    [[UIAlertView alloc]
      initWithTitle: nsstringMsgHeader
      message: nsstringMsgBody delegate: nil cancelButtonTitle: @"OK"
      otherButtonTitles: nil] ;
  [alert show] ;  
#endif
#endif
  
  [alert release] ;
}


