/*
  ColorPickerView.h

  Created by François Pessaux on 16/10/10.
  Copyright 2010. All rights reserved.
*/

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>

#import "JigPlayViewController.h"


@interface ColorPickerView : UIView {
  IBOutlet JigPlayViewController *viewController ;
  IBOutlet UIButton *okButton ;
  IBOutlet UIButton *cancelButton ;
  IBOutlet UIImageView *colorsImageView ;
  IBOutlet UILabel *colorSampleLabel ;
  
  /* Stuff to handle the offscreen drawing of the colors image in which we will
     pick the pixels' color components. */
  int colors_image_width ;
  CGColorSpaceRef color_space ;
  CGContextRef offscreen_context ;
  unsigned char *colorsRawData ;
  CGPoint colorsImageTopLeftPoint ;
  CGPoint colorsImageBottomRightPoint ;
}

- (IBAction) cancelButtonPressed:(id) sender ;
- (IBAction) okButtonPressed:(id) sender ;

@end
