/*
  FramePlayAreaView.m

  Created by François Pessaux on 15/10/10.
  Copyright 2010. All rights reserved.
*/

#import "FramePlayAreaView.h"
#import "JigPlayViewController.h"
#import "PlayAreaView.h"


@implementation FramePlayAreaView

- (PlayAreaView*) getPlayAreaView
{
  return (playAreaView) ;
}



- (void) changeColorBackground
{
  [viewController showColorPickerView] ;
}



- (IBAction) openActionsDialogCallback: (id) sender
{
	UIActionSheet *actionSheet =
    [[UIActionSheet alloc] initWithTitle: @"Actions"
                                delegate: self
                       cancelButtonTitle: nil
                  destructiveButtonTitle: nil
                       otherButtonTitles: @"Toggle Borders Highlight",
                                          @"Toggle Picture Hint",
                                          @"Change Background Color",
                                          @"Arrange Pieces on Borders",
                                          @"Quit Game",
                                          @"Resume", nil] ;
	actionSheet.actionSheetStyle = UIActionSheetStyleDefault ;
	/* Make the 6th button ("Resume") destructive. */
	actionSheet.destructiveButtonIndex = 5 ;
	[actionSheet showInView: self] ;
	[actionSheet release] ;
}



#pragma mark -
#pragma mark - UIActionSheetDelegate

- (void) actionSheet: (UIActionSheet*) actionSheet
         clickedButtonAtIndex: (NSInteger) buttonIndex
{
	switch (buttonIndex) {
    case 0:
      [playAreaView highlightBorders] ;
      break ;
    case 1:
      [playAreaView toggleImageHint] ;
      break ;
    case 2:
      [self changeColorBackground] ;
      break ;
    case 3:
      [playAreaView arrangePiecesOnBorders] ;
      break ;
    case 4:
      [playAreaView endCurrentGameAndCleanup] ;
      [viewController showIntroView] ;
      break ;
	}
}
@end
