/*
  JigPlayViewController.h

  Created by François Pessaux on 09/10/10.
  Copyright 2010. All rights reserved.
*/

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>

#import "SetupView.h"
#import "FramePlayAreaView.h"

@class IntroView ;
@class SetupView ;
@class FramePlayAreaView ;
@class HelpView ;
@class ColorPickerView ;

@interface JigPlayViewController : UIViewController
    <UINavigationControllerDelegate, UIImagePickerControllerDelegate> {
  UIImagePickerController *imgPickerController ;
  IBOutlet IntroView *introView ;
  IBOutlet SetupView *setupView ;
  IBOutlet FramePlayAreaView *framePlayAreaView ;
  IBOutlet HelpView *helpView ;
  IBOutlet ColorPickerView *colorPickerView ;
}

@property (nonatomic, retain) UIImagePickerController *imgPickerController ;
@property (nonatomic, retain) FramePlayAreaView *framePlayAreaView ;


- (IBAction) selectImagePressed: (id) sender ;
- (void) showIntroView ;
- (void) showSetupView ;
- (void) showFramePlayAreaView ;
- (void) startNewGameAndShowPlayAreaView: (UIImage*) image
                         withHorizPieces: (int) nb_horiz_pieces
                          withVertPieces: (int) nb_vert_pieces
                         withScaleFactor: (float) scale_factor
                         withWindowWidth: (int) width
                        withWindowHeight: (int) height ;
- (void) showHelpView ;
- (void) showColorPickerView ;

@end
