/*
  PlayAreaView.h

  Created by François Pessaux on 09/10/10.
  Copyright 2010. All rights reserved.
*/

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>

#include "misc.h"


@interface PlayAreaView : UIScrollView {
  /* Set once a game is started and the view dimensions are set according to
     the size of the picture. */
  int maxViewWidth ;
  int maxViewHeight ;
  CALayer *playAreaRootLayer ;
  CALayer *transpImageHintLayer ;
  /* Indexed by the piece piece_debug_id. So the piece_debug_ids must be
     dense. */
  CALayer **piecesLayers ;
  struct game *current_game ;
  struct piece *holdPiece ;
  bool_t bordersHighlighted ;
}

- (void) startNewGame: (UIImage*) image
      withHorizPieces: (int) nb_horiz_pieces
       withVertPieces: (int) nb_vert_pieces
      withScaleFactor: (float) scale_factor
      withWindowWidth: (int) width
     withWindowHeight: (int) height ;
- (void) endCurrentGameAndCleanup ;
- (void) toggleImageHint ;
- (void) arrangePiecesOnBorders ;
- (void) highlightBorders ;

@end
