/*
  SetupView.h

  Created by François Pessaux on 08/10/10.
  Copyright 2010. All rights reserved.
*/

#import <UIKit/UIKit.h>
#import <Foundation/Foundation.h>

#include "resolutions_suggestion.h"

@class JigPlayViewController ;
@class ImgPickerController ;

@interface SetupView : UIView <UIPickerViewDelegate, UIPickerViewDataSource> {
  IBOutlet JigPlayViewController *viewController ;
  IBOutlet UISwitch *scaleSwitch ;
  IBOutlet UISlider *scaleFactorSlider ;
  IBOutlet UILabel *widthLabel ;
  IBOutlet UILabel *heightLabel ;
  IBOutlet UILabel *averagePieceSizeLabel ;
  IBOutlet UIPickerView *resolutionsPicker ;
  IBOutlet UIButton *okButton ;
  IBOutlet UIButton *cancelButton ;
  UIImage *selectedImage ;
  int original_image_width ;
  int original_image_height ;
  int scaled_image_width ;
  int scaled_image_height ;
  float scale_factor ;
  int nb_found_resolutions ;
  struct resolution *resolutions ;
  NSMutableArray *resolutionsTexts ;
}

- (void) initGUIWithDefaultValues ;
- (IBAction) scaleFactorSliderMoved:(id) sender ;
- (IBAction) scaleSwitchChanged: (id) sender ;
- (IBAction) cancelButtonPressed: (id) sender ;
- (IBAction) okButtonPressed: (id) sender ;
- (void) imageSelectedCallback: (UIImage*) image ;

@end
